package ${domain};

import android.os.Bundle;
import ${package}.R;
import ${domain}.base.BaseSPAActivity;
<#if webview>
import ${domain}.fragment.WebViewFragment;
</#if>
<#if !webview>
import ${domain}.fragment.MainFragment;
</#if>


public class WBUIMainActivity extends BaseSPAActivity {
    private static final String KEY_FRAGMENT = "key_fragment";
    private static final int VALUE_FRAGMENT_HOME = 0;
    private static final int VALUE_FRAGMENT_NOTCH_HELPER = 1;

    @Override
    protected int getContextViewId() {
        return R.id.main_id;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
<#if webview>
        startFirstFragment(new WebViewFragment());
</#if>
<#if !webview>
        startFirstFragment(new MainFragment());
</#if>
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
    }
}

